/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { IContext, IDocumentLambdaServerConfiguration, IPartitionLambdaConfig, IPartitionLambda, IPartitionLambdaFactory } from "@fluidframework/server-services-core";
/**
 * @internal
 */
export declare class DocumentLambdaFactory extends EventEmitter implements IPartitionLambdaFactory {
    private readonly documentLambdaFactory;
    private readonly documentLambdaServerConfiguration;
    constructor(documentLambdaFactory: IPartitionLambdaFactory<IPartitionLambdaConfig>, documentLambdaServerConfiguration: IDocumentLambdaServerConfiguration);
    create(config: undefined, context: IContext): Promise<IPartitionLambda>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=lambdaFactory.d.ts.map