/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IConsumer, ILogger, IPartitionLambdaFactory, IRunner } from "@fluidframework/server-services-core";
/**
 * @internal
 */
export declare class KafkaRunner implements IRunner {
    private readonly factory;
    private readonly consumer;
    private readonly config?;
    private deferred;
    private partitionManager;
    private stopped;
    private readonly runnerMetric;
    private runnerMetricProperties;
    constructor(factory: IPartitionLambdaFactory, consumer: IConsumer, config?: any);
    start(logger: ILogger | undefined): Promise<void>;
    /**
     * Signals to stop the service
     */
    stop(caller?: string, uncaughtException?: any): Promise<void>;
}
//# sourceMappingURL=runner.d.ts.map