/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IPartitionLambdaFactory, IConsumer, IResources, IRunner, IRunnerFactory } from "@fluidframework/server-services-core";
import { Provider } from "nconf";
/**
 * @internal
 */
export interface IKafkaResources extends IResources {
    lambdaFactory: IPartitionLambdaFactory;
    consumer: IConsumer;
    config?: Provider;
}
/**
 * @internal
 */
export declare class KafkaRunnerFactory implements IRunnerFactory<IKafkaResources> {
    create(resources: IKafkaResources): Promise<IRunner>;
}
//# sourceMappingURL=runnerFactory.d.ts.map